Package weka.gui.beans

# Interface Visible

All Known Implementing Classes:
  `AbstractDataSink`, `AbstractDataSource`, `AbstractEvaluator`, `AbstractTestSetProducer`, `AbstractTrainAndTestSetProducer`, `AbstractTrainingSetProducer`, `Associator`, `AttributeSummarizer`, `ClassAssigner`, `Classifier`, `ClassifierPerformanceEvaluator`, `ClassValuePicker`, `Clusterer`, `ClustererPerformanceEvaluator`, `CostBenefitAnalysis`, `CrossValidationFoldMaker`, `DataVisualizer`, `Filter`, `GraphViewer`, `IncrementalClassifierEvaluator`, `InstanceStreamToBatchMaker`, `Loader`, `MetaBean`, `ModelPerformanceChart`, `PredictionAppender`, `Saver`, `ScatterPlotMatrix`, `SerializedModelSaver`, `StripChart`, `TestSetMaker`, `TextViewer`, `TrainingSetMaker`, `TrainTestSplitMaker`

public interface Visible
Interface to something that has a visible (via BeanVisual) reprentation

Since:
  1.0
Version:
  $Revision: 1.2 $
Author:
  Mark Hall

## Method Summary

Modifier and Type
Method
Description
`BeanVisual`
`getVisual()`
Get the visual representation
`void`
`setVisual(BeanVisual newVisual)`
Set a new visual representation
`void`
`useDefaultVisual()`
Use the default visual representation

## Method Details

### useDefaultVisual

void useDefaultVisual()
Use the default visual representation

### setVisual

void setVisual(BeanVisual newVisual)
Set a new visual representation

Parameters:
  `newVisual` - a `BeanVisual` value

### getVisual

BeanVisual getVisual()
Get the visual representation

Returns:
  a `BeanVisual` value